Bug 146182 - kudzu (/anaconda?) makes incorrect /dev/cdrom symlink
Summary: kudzu (/anaconda?) makes incorrect /dev/cdrom symlink
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kudzu   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-25 20:14 UTC by Brian M. Adams
Modified: 2014-03-17 02:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 20:43:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian M. Adams 2005-01-25 20:14:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041217

Description of problem:
Automated kickstart installs of RHEL WS3 U4 on new Dell Precision 470
systems with IDE DVD burners generate incorrect symlink
/dev/cdrom --> /dev/hdc
during the install process.  Manually running /usr/sbin/kudzu after
firstboot fixes the symlink to 
/dev/cdrom --> /dev/scd0


Version-Release number of selected component (if applicable):
1.1.22.9

How reproducible:
Always

Steps to Reproduce:
1. perform a kickstarted install of RHEL WS3 U4, allowing automatic reboot
2. Wait for system to come up
3. Type `ls -l /dev/cdrom`
    

Actual Results:  lrwxrwxrwx    1 root     root            9 Jan 22
01:35 /dev/cdrom -> /dev/hdc

In this case the CDROM will work fine for burning only if ide-scsi
module is removed, cannot be mounted for reading at all.

Expected Results:  lrwxrwxrwx    1 root     root            9 Jan 22
01:35 /dev/cdrom -> /dev/scd0

And when this link is there and ide-scsi loaded, all works fine
(reading and writing).

Additional info:

The systems have 2 SATA drives that show up as sda and sdb.  The IDE
DVD drive is secondary master.

Here's what kudzu's changing when I run it manually.  Output of (diff
/etc/sysconfig/hwconf hwconf.orig)
                                                                     
          
306c306
< device: scd0
---
> device: hdc
308,313c308
< desc: "Philips DVD+-RW DVD8631"
< host: 2
< id: 0
< channel: 0
< lun: 0
< generic: sg2
---
> desc: "PHILIPS DVD+/-RW DVD8631"
317a313
> device: fb0

Comment 1 Bill Nottingham 2005-01-26 01:47:05 UTC
Is ide-scsi appended to the kernel commandline in grub.conf?

Comment 2 Brian M. Adams 2005-01-26 03:12:36 UTC
Yes, ide-scsi is on the grub.conf kernel commandline:
title Realm Linux (2.4.21-27.0.1.ELsmp)
        root (hd1,0)
        kernel /vmlinuz-2.4.21-27.0.1.ELsmp ro root=LABEL=/ hdc=ide-
scsi
        initrd /initrd-2.4.21-27.0.1.ELsmp.img

Comment 3 Bill Nottingham 2005-09-20 20:43:03 UTC
This problem is resolved in the next release of Red Hat Enterprise Linux (RHEL
4). Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 




Note You need to log in before you can comment on or make changes to this bug.